///////////////////////////////////////////////////////////////////////////////
// Copyright (C) 1998 NSI Software, Inc.  All Rights Reserved.
//
//	DTCounters.h	- Definition of offsets for Double-Take counter objects.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
//
// The Double-Take Connection object.
//
#define	DTC_COUNTER_OBJECT               0
#define	DTC_OPS_IN_CMD_QUEUE_COUNTER     2
#define	DTC_OPS_IN_ACK_QUEUE_COUNTER     4
#define	DTC_OPS_IN_REP_QUEUE_COUNTER     6
#define	DTC_OPS_IN_MIR_QUEUE_COUNTER     8
#define	DTC_BYTES_IN_REP_QUEUE_COUNTER   10
#define	DTC_BYTES_IN_MIR_QUEUE_COUNTER   12
#define	DTC_OPS_TX_COUNTER               14
#define	DTC_BYTES_TRANSFERRED_COUNTER    16
#define	DTC_BYTES_TRANSMITTED_COUNTER    18
#define	DTC_OPS_RX_COUNTER               20
#define	DTC_BYTES_RX_COUNTER             22
#define	DTC_RESENT_OPS_COUNTER           24
#define  DTC_BYTES_IN_DISK_QUEUE_COUNTER  26
#define  DTC_TASK_CMDS_SUBMITTED_COUNTER  28
#define  DTC_TASK_CMDS_QUEUED_COUNTER     30
#define  DTC_TASKS_SUCCEEDED_COUNTER      32
#define  DTC_TASKS_FAILED_COUNTER         34
#define  DTC_TASKS_IGNORED_COUNTER        36
#define  DTC_BANDWIDTH_LIMIT_COUNTER      38

///////////////////////////////////////////////////////////////////////////////
//
// The Double-Take Kernel object.
//
#define	DTK_COUNTER_OBJECT               40
#define	DTK_REP_OPS_COUNTER              42
#define	DTK_REP_BYTES_COUNTER            44
#define	DTK_MIR_OPS_COUNTER              46
#define	DTK_MIR_BYTES_COUNTER            48
#define	DTK_MEM_USAGE_COUNTER            50
#define	DTK_MIRRORFAIL_COUNTER           52
#define	DTK_REPFAIL_COUNTER              54
#define	DTK_ACTFAIL_COUNTER              56
#define  DTK_TGTHANDLE_COUNTER            58
#define  DTK_DRIVERQUEUEPERCENT_COUNTER   60
#define  DTK_TOTAL_POOL_BYTES_COUNTER     102
#define  DTK_POOL_BYTES_AVAILABLE_COUNTER 104
#define  DTK_FILEDATACMDEXEC_COUNTER      106
#define  DTK_TIMEFILEDATACMDEXEC_COUNTER  108

///////////////////////////////////////////////////////////////////////////////
//
// The Double-Take Security object.
//
#define	DTR_COUNTER_OBJECT               62
#define	DTR_LOGIN_COUNTER                64
#define	DTR_FAILEDLOGIN_COUNTER          66

///////////////////////////////////////////////////////////////////////////////
//
// The Double-Take Source object.
//
#define	DTS_COUNTER_OBJECT               68
#define	DTS_DISCONNECT_COUNTER           70
#define	DTS_RECONNECT_COUNTER            72

///////////////////////////////////////////////////////////////////////////////
//
// The Double-Take Target object.
//
#define	DTT_COUNTER_OBJECT               74
#define	DTT_OPS_RECVD_COUNTER            76
#define	DTT_MIR_OPS_RECVD_COUNTER        78
#define	DTT_RETRIES_COUNTER              80
#define	DTT_OPS_DROPPED_COUNTER          82
#define  DTT_OPS_REMAINING_COUNTER        84
#define  DTT_ORPHAN_FILES_COUNTER         86
#define  DTT_ORPHAN_DIRS_COUNTER          88
#define  DTT_ORPHAN_BYTES_COUNTER         90
#define  DTT_BYTES_IN_QUEUE_COUNTER       92
#define  DTT_BYTES_IN_DISK_QUEUE_COUNTER  94
#define  DTT_TASKS_SUCCEEDED_COUNTER      96
#define  DTT_TASKS_FAILED_COUNTER         98
#define  DTT_TASKS_IGNORED_COUNTER        100
